Package org.eclipse.cdt.core.settings.model.util

# Class KindBasedStore<T>

java.lang.Object
org.eclipse.cdt.core.settings.model.util.KindBasedStore<T>

Type Parameters:
  `T` - - stored type

All Implemented Interfaces:
  `Cloneable`

public class KindBasedStore<T> extends Object implements Cloneable
A storage where stored data is organized by "kind". In most cases kind is one of `ICLanguageSettingEntry`, i.e. include path, macro etc.

See Also:
  - `ICSettingEntry.INCLUDE_PATH`
  - `ICSettingEntry.INCLUDE_FILE`
  - `ICSettingEntry.MACRO`
  - `ICSettingEntry.MACRO_FILE`
  - `ICSettingEntry.LIBRARY_PATH`
  - `ICSettingEntry.LIBRARY_FILE`
  - `ICSettingEntry.OUTPUT_PATH`
  - `ICSettingEntry.SOURCE_PATH`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ORED_ALL_ENTRY_KINDS`
`static final int`
`ORED_LANG_ENTRY_KINDS`

## Constructor Summary

Constructors
Constructor
Description
`KindBasedStore()`
`KindBasedStore(boolean langOnly)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Object`
`clone()`
`T`
`get(int kind)`
`static int[]`
`getAllEntryKinds()`
`IKindBasedInfo<T>[]`
`getContents()`
`IKindBasedInfo<T>`
`getInfo(int kind)`
`static int[]`
`getLanguageEntryKinds()`
`T`
`put(int kind, T object)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ORED_LANG_ENTRY_KINDS

public static final int ORED_LANG_ENTRY_KINDS

See Also:
  - Constant Field Values

### ORED_ALL_ENTRY_KINDS

public static final int ORED_ALL_ENTRY_KINDS

See Also:
  - Constant Field Values

## Constructor Details

### KindBasedStore

public KindBasedStore()

### KindBasedStore

public KindBasedStore(boolean langOnly)

## Method Details

### getLanguageEntryKinds

public static int[] getLanguageEntryKinds()

### getAllEntryKinds

public static int[] getAllEntryKinds()

### get

public T get(int kind)

### put

public T put(int kind, T object)

### getContents

public IKindBasedInfo<T>[] getContents()

### getInfo

public IKindBasedInfo<T> getInfo(int kind)

### clear

public void clear()

### clone

public Object clone()

Overrides:
  `clone` in class `Object`